apiVersion: apps/v1
kind: Deployment
metadata:
  name: {CI_ENVIRONMENT_SLUG}-k8-server
  annotations:
    app.gitlab.com/app: {CI_PROJECT_PATH_SLUG}
    app.gitlab.com/env: {CI_ENVIRONMENT_SLUG}
  #labels:
    #track: canary
spec:
  replicas: 4
  selector: 
    matchLabels:
      tier: frontend

  template:
    metadata:
      labels: 
        tier: frontend
        #track: canary
      annotations:
        app.gitlab.com/app: {CI_PROJECT_PATH_SLUG}
        app.gitlab.com/env: {CI_ENVIRONMENT_SLUG}


    spec:
      containers:
      - name: k8s-server
        #image: william861227/front-server:v0.6
        image: {CONTAINER_IMAGE_FE}
       
